function battle_zai028()  --绿村喽啰

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end

    local n=flag.GetBattleValue(12002)
	 
    if n~=2 then
        a=battle.GetRndNumber(1,10)
	    if a>=1 and a<=6 then
	        n=n+1
	        flag.SetBattleValue(12002,n)
	        id = battle.GetRndPlayer()
	        battle.AtkToPlayer(id,1)     --普通攻击
		else
			flag.SetBattleValue(12002,0)
	        id = battle.GetRndPlayer()
			battle.SetDamageScale(1.5)
	        battle.AtkToPlayer(id,1)     --2号攻击
			
		end

    else
		flag.SetBattleValue(12002,0)
	    id = battle.GetRndPlayer()
	    battle.SetDamageScale(1.5)
	    battle.AtkToPlayer(id,1)     --2号攻击
    end

end